Bug 18582 - Kpackage crashes when removing or listing installed packages
Kpackage crashes when removing or listing installed packages
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: kpackage (Show other bugs)
7.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-10-06 21:31 EDT by Kosta Djordjevic
Modified: 2007-04-18 12:29 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-10-06 21:31:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kosta Djordjevic 2000-10-06 21:31:52 EDT
Problem with kpackage RPM running RedHat7.  Kpackage works fine to list 
all installed packages on the system, but when I select any package, to 
list the files for that package, the program just crashes without any 
warning.
When I attempt to remove any installed package I get message that this 
package is not installed. All settings are correct including Options -> 
package to display -> Installed packages

Also I am receiving this warning message during shutdown:

rpmTagTable has different size in shared object. Consider relinking
Comment 1 Ngo Than 2000-10-11 10:23:18 EDT
It's fixed in kpackage-1.3.10. You find it in rawhide.
Comment 2 fabio.garufi 2000-10-12 11:43:21 EDT
Running RH7 on i686
I installed kpackage-1.3.10-6 from rawhide, but it still crashes if I try to get
back after examining uninstalled packages. The link error with rpmTagTable has
disappeared. 
Still claims that package are not installed when I try to uninstall.
Comment 3 Ngo Than 2000-10-12 11:59:37 EDT
Oh sorry, kpackage-1.3.10-7 fixed this problem. You will find it in rawhide
soon.
Comment 4 Rocky Pope 2000-10-27 09:22:33 EDT
Hi guys,

Sorry if I seem a little dense here, but where exactly on the 
rawhide.redhat.com server is this update located on?  I could swear I've 
searched the entire server.  Is my problem that I'm using an anonymous login?


Rocky

Note You need to log in before you can comment on or make changes to this bug.